Subject: bug#20664: 25.0.50; Customize: Link option or face name to the source definition

From: Drew Adams <[email-masked]>
Date: Thu, 17 Sep 2020 20:30:59 +0000 (UTC)

>> Makes sense to me.  I tweaked it a bit before applying, though -- used
>> insert-text-button for convenience.
>
> Why a button.el button, and not a link widget? Using a
> button.el button makes it look like TAB is inconsistent,
> because it skips the button, so you can't get to the
> button by just pressing TAB.
>
> And given there are links to which you can get to by
> pressing TAB, not being able to reach this one makes
> it feel like something is wrong.

[Caveat: I haven't tried the updated code.]

Yes, it's important that the fix fit well with Customize,
both from a UI/user point of view and from a coding
point of view.

Please also do make sure that `mouse-1-click-follows-link'
is effective, i.e., that it has its expected effect when
either nil or non-nil.  (I have it set to nil, BTW.)